Bug 23841 - Add link to bibliographic details page in item details breadcrumbs
Summary: Add link to bibliographic details page in item details breadcrumbs
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 23852
  Show dependency treegraph
 
Reported: 2019-10-18 12:54 UTC by Tomáš Wünsch
Modified: 2019-11-03 07:47 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 23841: Add link to bibliographic details page in item details breadcrumbs (2.45 KB, patch)
2019-10-21 12:04 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23841: Add link to bibliographic details page in item details breadcrumbs (2.50 KB, patch)
2019-11-02 22:36 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomáš Wünsch 2019-10-18 12:54:24 UTC
I think it would be handy to have some way how to get from detailed list of items as is this:
../cgi-bin/koha/catalogue/moredetail.pl?biblionumber=61855&itemnumber=66778
to it's biblio "parent":
../cgi-bin/koha/catalogue/detail.pl?biblionumber=61855


TL&DR:
Most of the time, librarians arrive to the item page trough it's biblio, but this is not a rule (for example many time we just click on barcode in Circulation module) and simple "back" in browser do not bring person much closer to desired record.

I am open to suggestion about form how to do this, but only way I found (for staff without right to edit biblio) till today is to delete parameter "&itemnumber=66778" from URL - and that is not something, I want to teach my staff...
Librarians, which are allowed to edit records, can push "Edit" rollout button and then "Edit Record", jump to the Editing, where just "Cancel" button bring them right where they need to be.
Simple button with label "Record" (Or "Biblio") in one line with "New", "Edit", "Save", "Add to", "Print" and "Place hold" would be nice.
Comment 1 Katrin Fischer 2019-10-19 16:06:06 UTC
I might be missing something here - but I would usually use the breadcrumbs or click on the 'Normal' tab.
Comment 2 Owen Leonard 2019-10-20 00:21:01 UTC
It looks like the breadcrumb for the biblio page is missing, which is definitely a bug. But yes the "Normal" tab is there too.
Comment 3 Owen Leonard 2019-10-21 12:04:45 UTC
Created attachment 94435 [details] [review]
Bug 23841: Add link to bibliographic details page in item details breadcrumbs

This patch adds a link to the default bibliographic details page from
the breadcrumbs menu on the item details page.

The patch also makes a minor update to staff client CSS to allow for use
of biblio-default-view.inc to generate the link and have it styled
correctly.

To test, apply the patch and update the staff client CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

Locate an record in the catalog and view the item details page. Verify
that the breadcrumbs menu includes a link back to the bibliographic
details page as defined in the IntranetBiblioDefaultView system
preference.
Comment 4 Tomáš Wünsch 2019-10-24 06:37:08 UTC
(In reply to Owen Leonard from comment #2)
> It looks like the breadcrumb for the biblio page is missing, which is
> definitely a bug. But yes the "Normal" tab is there too.

Hi, thx for reply - I think I am just missing something, but could you direct me somehow where/what exactly this "Normal" tab is, please?

+ breadcrumbs are there, just not exactly helping (missing third level, probably):
Home › Catalog › Item details for Ptáci /
Comment 5 Owen Leonard 2019-10-24 13:35:11 UTC
(In reply to Tomáš Wünsch from comment #4)
> where/what exactly this "Normal" tab is, please?

Základní -- Tab in the sidebar of catalogue/detail.pl
Comment 6 Katrin Fischer 2019-11-02 22:36:27 UTC
Created attachment 94976 [details] [review]
Bug 23841: Add link to bibliographic details page in item details breadcrumbs

This patch adds a link to the default bibliographic details page from
the breadcrumbs menu on the item details page.

The patch also makes a minor update to staff client CSS to allow for use
of biblio-default-view.inc to generate the link and have it styled
correctly.

To test, apply the patch and update the staff client CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

Locate an record in the catalog and view the item details page. Verify
that the breadcrumbs menu includes a link back to the bibliographic
details page as defined in the IntranetBiblioDefaultView system
preference.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Katrin Fischer 2019-11-02 22:37:59 UTC
Should we change any of the other breadcrumbs as well?
Comment 8 Martin Renvoize 2019-11-03 07:46:03 UTC
This is a nice change.. may be worth doing elsewhere too.. though I can't think of any example off the top of my head.
Comment 9 Martin Renvoize 2019-11-03 07:47:33 UTC
Nice work!

Pushed to master for 19.11.00